Get a team member profile
curl --request GET \
--url https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}import requests
url = "https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hexclave.com/api/v1/team-member-profiles/{team_id}/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "3241a285-8329-4d69-8f3d-316e08cf140c",
"primary_email_verified": true,
"primary_email_auth_enabled": true,
"signed_up_at_millis": 1630000000000,
"last_active_at_millis": 1630000000000,
"is_anonymous": true,
"is_restricted": false,
"restricted_by_admin": false,
"risk_scores": {
"sign_up": {
"bot": 0,
"free_trial_abuse": 0
}
},
"primary_email": "johndoe@example.com",
"display_name": "John Doe",
"selected_team": {
"created_at_millis": 1630000000000,
"id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"display_name": "My Team",
"server_metadata": {
"key": "value"
},
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
}
},
"selected_team_id": "team-id",
"profile_image_url": "https://example.com/image.jpg",
"client_metadata": {
"key": "value"
},
"client_read_only_metadata": {
"key": "value"
},
"server_metadata": {
"key": "value"
},
"restricted_reason": null,
"restricted_by_admin_reason": null,
"restricted_by_admin_private_details": null,
"country_code": "US"
},
"team_id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
"user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
"display_name": "John Doe",
"profile_image_url": "https://example.com/image.jpg"
}Teams
Get a team member profile
Get a team member profile by user ID
GET
/
team-member-profiles
/
{team_id}
/
{user_id}
Get a team member profile
Path Parameters
The ID of the user, or the special value me for the currently authenticated user
Example:
"3241a285-8329-4d69-8f3d-316e08cf140c"
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
The unique identifier of the team
Example:
"ad962777-8244-496a-b6a2-e0c6a449c79e"
The unique identifier of the user
Example:
"3241a285-8329-4d69-8f3d-316e08cf140c"
Human-readable team member display name. This is not a unique identifier. Note that this is separate from the display_name of the user.
Example:
"John Doe"
URL of the profile image for team member. Can be a Base64 encoded image. Must be smaller than 100KB. Please compress and crop to a square before passing in.
Example:
"https://example.com/image.jpg"
⌘I